/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.account.configuration;

import aQute.bnd.annotation.metatype.Meta;

import com.liferay.portal.configuration.metatype.annotations.ExtendedObjectClassDefinition;

/**
 * @author Pei-Jung Lan
 */
@ExtendedObjectClassDefinition(
	category = "accounts", scope = ExtendedObjectClassDefinition.Scope.COMPANY
)
@Meta.OCD(
	id = "com.liferay.account.configuration.AccountEntryEmailDomainsConfiguration",
	localization = "content/Language",
	name = "account-entry-email-domains-configuration-name"
)
public interface AccountEntryEmailDomainsConfiguration {

	@Meta.AD(
		deflt = "false", description = "enable-email-domain-validation-help",
		name = "enable-email-domain-validation", required = false
	)
	public boolean enableEmailDomainValidation();

	@Meta.AD(
		description = "blocked-email-domains-help",
		name = "blocked-email-domains", required = false
	)
	public String blockedEmailDomains();

}